<?xml version='1.0' encoding='UTF-8'?>  
<!DOCTYPE hibernate-mapping PUBLIC  
  
  "-//Hibernate/Hibernate Mapping DTD 3.0//EN"  
  "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">  
  
  
  <hibernate-mapping>  
  <class name="trendnxt.HibernateAssignment_6_a.Employee" table="emptable123">  
  <id name="employeeId">  
  <generator class="increment"></generator>  
  </id>  
  
  <property name="employeeName"></property>
    <property name="employeeSalary"></property>
  
  <joined-subclass name="trendnxt.HibernateAssignment_6_a.RegularEmployee" table="regemp123">  
  <key column="eid"></key>  
  <property name="qplc"></property>  
  </joined-subclass>  
   
  <joined-subclass name="trendnxt.HibernateAssignment_6_a.ContractEmployee" table="contemp123">  
  <key column="eid"></key>  
  <property name="allowance"></property>  
  </joined-subclass>  
  
  </class>  
  </hibernate-mapping>  